Subject: Threaded Cygwin Python Problem (was Re: Creating a local mirror ...)
From: Jason Tishler <[email-masked]>
To: "Gerald S. Williams" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 22 Feb 2002 09:57:02 -0500

Jerry,

On Fri, Feb 22, 2002 at 08:48:13AM -0500, Gerald S. Williams wrote:
> I would be interested in more information on the pthreads
> problem and possibly helping out with the fix, although I
> haven't taken the time to dig around in the code and find
> the offending code yet. If I followed the thread properly,
> there is some dependency on a SignalObjectAndWait function
> that isn't natively supported on Windows and hasn't been
> emulated correctly, so there is now a race condition.

Thanks for your offer to help.  See the following for more details:

    http://cygwin.com/ml/cygwin-developers/2001-10/msg00191.html
    http://cygwin.com/ml/cygwin-developers/2001-10/msg00193.html

> BTW, Cygwin is not the only platform to have problems with
> pthreads. Another member of my group found a problem with
> the Solaris pthreads package that he had to work around.

Please provide more details on the above.  Maybe the same or similar
workaround could help for Cygwin too?

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/